Models/ErrorViewModel.cs
using System;

namespace prueba.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Controllers/FileManagerController.cs
using GleamTech.FileSystems;
using GleamTech.FileUltimate.AspNet.UI;
using GleamTech.Security;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using prueba.Models;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;

namespace prueba.Controllers
{
    public class FileManagerController : Controller
    {

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Overview()
        {
            var fileManager = new FileManager
            {
                Width = 800,
                Height = 600,
                Resizable = true
            };
            //var rootFolder = @"Path=\\server\share; Authenticated User=Windows";
            var rootFolder = new FileManagerRootFolder();
            rootFolder.Name = "compartido";
            rootFolder.Location = @"Path='\\utegrupos\tic\odi\sopaplica1\Documentos compartidos\GENERAL\'; User Name=f245277@corp.ute.com.uy; Password='3Zavijah6'";
            //     {
            //         Name = "A Root Folder",
            //         Location = @"\\utegrupos\tic\odi\sopaplica1\Documentos compartidos; Authenticated User=Windows"User Name=f245277@corp.ute.com.uy; Password='3Zavijah6'
            //         //AuthenticatedUser = AuthenticatedUser.Windows
            //         //UserName = "f245277",
            //         //Password = "3Zavijah6"
            //      };

            rootFolder.AccessControls.Add(new FileManagerAccessControl
            {
                Path = @"\",
                AllowedPermissions = FileManagerPermissions.Full
            });

            fileManager.RootFolders.Add(rootFolder);

            fileManager.RootFolders.Add(CreateRootFolder2());



            return View(fileManager);
        }


        private FileManagerRootFolder CreateRootFolder2()
        {


            //var rootFolder = @"Path=\\server\share; Authenticated User=Windows";
            var rootFolder = new FileManagerRootFolder();
            rootFolder.Name = "mipc";
            rootFolder.Location = @"Path='\\pc161214\compartido'";

            rootFolder.AccessControls.Add(new FileManagerAccessControl
            {
                Path = @"\",
                AllowedPermissions = FileManagerPermissions.Full
            });

           

            return rootFolder;

            
        }






    }
}

Controllers/HomeController.cs
using GleamTech.FileUltimate.AspNet.UI;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using prueba.Models;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;

namespace prueba.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }


      

    }
}

Views/FileManager/Overview.cshtml
@{
    ViewData["Title"] = "Home Page";
}

@using GleamTech.AspNet.Core
@using GleamTech.FileUltimate.AspNet.UI
@model FileManager


<html>
<head>
    <title>File Manager</title>
    @this.RenderHead(Model)
   
</head>
<body>
    @this.RenderBody(Model)
</body>
</html>

Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - prueba</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">prueba</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="FileManager" asp-action="Overview">Overview</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2021 - prueba - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>